;;; -*- Mode:LISP; Package:USER; Readtable:ZL -*-

;;;STYLE-CHECKER.LISP

;;;Example of a compile-time style checker

(defun tester (a b &rest args)
  (print a)
  (print b)
  (print (copy-list args)))

(defun tester-checker (form)
  (if (evenp (length form))
      (compiler:warn 'tester-checker :implausible  "~S has an odd # of arguments" (car form))))

(putprop 'tester
	 'tester-checker
	 'compiler:style-checker)

(defun test ()
  ;;This should generate a Tester-Checker warning:
  (tester 1 2 3))


